JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MidiDataConcatenator Class Reference
juce_audio_basics » midi

Helper class that takes chunks of incoming midi bytes, packages them into messages, and dispatches them to a midi callback. More...

`#include <juce_MidiDataConcatenator.h>`

## Public Member Functions
| MidiDataConcatenator (int initialBufferSize)
void | reset ()
template<typename UserDataType , typename CallbackType >
void | pushMidiData (const void *inputData, int numBytes, double time, UserDataType *input, CallbackType &callback)

## Detailed Description

Helper class that takes chunks of incoming midi bytes, packages them into messages, and dispatches them to a midi callback.

## Constructor & Destructor Documentation

## ◆ MidiDataConcatenator()

MidiDataConcatenator::MidiDataConcatenator | ( | int | initialBufferSize | ) |

## Member Function Documentation

## ◆ reset()

void MidiDataConcatenator::reset | ( |  | ) |

## ◆ pushMidiData()

template<typename UserDataType , typename CallbackType >

void MidiDataConcatenator::pushMidiData | ( | const void * | inputData,
|  | int | numBytes,
|  | double | time,
|  | UserDataType * | input,
|  | CallbackType & | callback )

References MidiMessage::getMessageLengthFromFirstByte().

The documentation for this class was generated from the following file:

- juce_MidiDataConcatenator.h